Subject: [bug#75010] [PATCH v2 0/2] Add module for guix deploy tests.

From: Herman Rimm <[email-masked]>
Date: Fri, 31 Jan 2025 12:13:15 +0100

Hi Ludo',

Thanks for your feedback.  I'm not sure how to fix the bugs in guix
deploy.  For now I want to make the tests for guix deploy work, so I
only submit [PATCH v2 1/2], previously [PATCH 7/7].

[PATCH v2 2/2] has workarounds, the one in (gnu packages file-systems)
is because I don't know how to get the deploy tests to load e.g. (guix
platforms x86).

I run these commands:

  guix shell -D guix gnupg -CPWN
  make
  ./pre-inst-env guix build -f test.scm &> result

I attached result, test.scm contains:

  (use-modules (gnu tests deploy) (gnu tests reconfigure))
  ;%test-rollback
  %test-deploy
  ;%test-switch-to-system

%test-deploy runs into an error I don't know how to fix or work around.

Cheers,
Herman

Herman Rimm (2):
  gnu: tests: Add module for guix deploy tests.
  Fix deploy test errors.

 gnu/local.mk                  |   3 +-
 gnu/packages/file-systems.scm |   4 +-
 gnu/tests/deploy.scm          | 224 ++++++++++++++++++++++++++++++++++
 guix/channels.scm             |   3 +-
 4 files changed, 228 insertions(+), 6 deletions(-)
 create mode 100644 gnu/tests/deploy.scm

base-commit: 5a6c66f7919fbe79251cd425ae6952e67acbe94c
-- 
2.47.1